<template>
    <div>
        <h2>Gestion des absences</h2>
        <br>
        <AbsenceList v-bind:users="users" v-bind:canValidate="true" v-on:valider="valider" v-on:refuser="refuser"></AbsenceList>
    </div>
</template>


<script>
import AbsenceList from "@/components/shared/AbsenceList.vue";
import { editUser } from "@/api/users.service.js";
import { sendEmail } from '@/api/email.service.js';
export default {

    components: {
        AbsenceList
    },
    computed: {
        users() {
            return this.$store.getters.AllUsers;
        },


    },
    created: function() {
        this.$store.dispatch("getAllUsers");
    },
    methods: {
        valider: function(payload) {
            
            let user = payload.user;
            let absence = payload.absence;

            user.absences[absence].valid = true;
            user.absences[absence].checked = true;
            let id = user._id;
            editUser(id, user).then(() => { this.$store.dispatch("getAllUsers") });
            sendEmail(user.email, "Absence Validee", "Votre demande d'absence vien d'etre validee par un administrateur");

        },
        refuser: function(payload) {
            let user = payload.user
            let absence = payload.absence

            user.absences[absence].valid = false;
            user.absences[absence].checked = true;
            let id = user._id;
            editUser(id, user).then(() => { this.$store.dispatch("getAllUsers") });
            sendEmail(user.email, "Absence Refusee", "Votre demande d'absence vien d'etre refuser par un administrateur");

        }
    }

}
</script>

    
<style scoped>
</style>
